<?php
/*
 * Este arquivo é responsável por retornar um json contendo o histórico
 * do indicador especificado.
 */

require_once(__DIR__ . "/../../classes/Sistema.php"); 
set_sistema(Sistema::INDICACOES);
$sistema = new Sistema(true, true);

if(empty($sistema->usuario->senha_transf)) $sistema->redirecionar("../senha-transferencia");

try {
	$resultado = $sistema->indicacoes->atualizar_dados_indicador($sistema->usuario->id, $_POST['nome'], $_POST['telefone'], $_POST['senha']);

	if ($resultado != -1){
		switch($resultado){
			case 0:
				echo "-2Dados incorretos";
				exit;
			case 1:
				echo "-2Senha incorreta";
				exit;
		}
	}
}
catch (Exception $e) {
	echo "-2Houve um erro com o servidor";
	exit;
}
?>